import es
import playerlib

import psyco
psyco.full()

es.ServerVar('lvc_version', 1.0).makepublic()

def tickListener():
	playerList = playerlib.getPlayerList('#human')
	if len(playerList):
		for sender in playerList:
			for target in playerList:
				if sender.userid == target.userid:
					continue
				if sender.lang == target.lang:
					es.voicechat('listen', sender.userid, target.userid)
					es.voicechat('listen', target.userid, sender.userid)
				else:
					es.voicechat('nolisten', sender.userid, target.userid)
					es.voicechat('nolisten', target.userid, sender.userid)

def load():
	es.addons.registerTickListener(tickListener)
	
def unload():
	es.addons.unregisterTickListener(tickListener)